> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workday type



## OpenAPI

````yaml PUT /contract/v1/workday-types/{workdayTypeId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/workday-types/{workdayTypeId}:
    put:
      tags:
        - Workday Types
      summary: Update a workday type
      operationId: UpdateWorkdayTypeInContract
      parameters:
        - in: path
          name: workdayTypeId
          description: Workday Type ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Workday type object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  format: date
                  description: Name of the workday type
              required:
                - name
      responses:
        '200':
          description: Workday Type
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      editable:
                        type: boolean
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````